Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class Signature

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.Signature

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Signature

extends Attribute

This class is derived from Attribute and represents a reference to a GJ attribute.

Version:
  $Id: Signature.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Attribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`Signature(int name_index, int length, int signature_index, ConstantPool constant_pool)`

Method Summary
`Attribute` `copy(ConstantPool _constant_pool)`
`String` `getSignature()`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Signature

    public Signature(int name_index,
                     int length,
                     int signature_index,
                     ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to CONSTANT_Utf8
  `length` - Content length in bytes
  `signature_index` - Index in constant pool to CONSTANT_Utf8
  `constant_pool` - Array of constants

Method Detail

### getSignature

    public final String getSignature()

  Returns:
    GJ signature.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.